SyntaxHighlighterPro 1.0.0

Does SyntaxHighlighterPro work with WordPress 6.5.5 and PHP 8.1.12? A smoke test was performed on .

Summary

Errors
31PHP deprecation warnings
1JavaScript exceptions
All test pages loaded successfully
No resource errors
Performance

Memory usage: 6.02 KiB
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version6.5.5
PHP version8.1.12
MySQL version10.6.10
PHP memory limit512M
Plugin Info
Last updated
Active installs 20+
WordPress.org page https://wordpress.org/plugins/syntaxhighlighterpro/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 3

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?plugin_status=all&paged=1&s
Requested URL /wp-admin/plugins.php?action=activate&plugin=syntaxhighlighterpro%2Fwp-syntaxhighlighterpro.php&plugin_status=all&paged=1&s&_wpnonce=0579f1b360
Aspect after-activation
HTTP status 200
Load time 0.436 s
Memory usage 3.39 MiB
JS errors None
Resource errors None

Settings → Syntax Highlighter Pro

Page screenshot: Settings → Syntax Highlighter Pro
URL /wp-admin/options-general.php?page=wp-syntaxhighlighterpro.php
Aspect menu-item
HTTP status 200
Load time 0.177 s
Memory usage 3.37 MiB
JS errors None
Resource errors None

Test site – Just another WordPress site

Page screenshot: Test site – Just another WordPress site
URL /
Aspect front-page
HTTP status 200
Load time 0.372 s
Memory usage 3.39 MiB
JS errors
[
    {
        "message": "ReferenceError: SyntaxHighlighter is not defined\n    at /:226:32",
        "trace": null,
        "code": null
    }
]
Resource errors None

Benchmark

URL Load time Memory usage
Inactive Active Change Inactive Active Change
/wp-admin/index.php0.381 s0.331 s-0.050 s3.44 MiB3.45 MiB+ 16.12 KiB
/wp-admin/edit.php0.214 s0.219 s+0.005 s3.46 MiB3.48 MiB+ 16.12 KiB
/wp-admin/post-new.php0.943 s0.596 s-0.347 s5.59 MiB5.61 MiB+ 20.78 KiB
/wp-admin/upload.php0.622 s0.625 s+0.003 s3.38 MiB3.38 MiB- 560 bytes
/wp-admin/options-writing.php0.231 s0.202 s-0.029 s3.37 MiB3.36 MiB- 7.76 KiB
/wp-admin/media-new.php0.312 s0.262 s-0.050 s3.35 MiB3.36 MiB+ 12.47 KiB
/wp-admin/edit-tags.php?taxonomy=category0.203 s0.190 s-0.013 s3.37 MiB3.38 MiB+ 16.81 KiB
/wp-admin/post-new.php?post_type=page0.576 s0.594 s+0.018 s5.58 MiB5.6 MiB+ 16.37 KiB
/wp-admin/options-discussion.php0.335 s0.267 s-0.068 s3.36 MiB3.36 MiB+ 792 bytes
/wp-admin/edit-comments.php0.251 s0.376 s+0.125 s3.39 MiB3.39 MiB- 1 KiB
/0.312 s0.318 s+0.006 s3.42 MiB3.39 MiB- 23.89 KiB
Average 0.398 s0.362 s-0.036 s3.79 MiB3.8 MiB+ 6.02 KiB

Code Statistics

Note: Third-party libraries and minified JS/CSS files are excluded from these statistics where possible, so the numbers you see here may be lower than those reported by other tools.

CSS
PHP
Language % Lines of code Comment lines Files
CSS81.9%9983498
PHP18.1%221142
Total 1,219 363 10

PHP Code Analysis | More results »

Lines of code 225
Total complexity 41
Median class complexity 38.0
Median method complexity 3.0
Most complex class GoogleSyntaxHighlighterPro
Most complex function GoogleSyntaxHighlighterPro::SyntaxHighlighterPrintAdminPage()
Classes 1
Methods 7
Functions 1

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

Options wp_options 1

PHP Error Log 31 lines

[10-Jul-2024 14:16:55 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:55 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:56 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:56 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:56 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:56 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:58 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:58 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:58 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:58 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:59 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:16:59 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:02 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:02 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:03 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:06 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:06 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:07 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:07 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:07 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:07 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:08 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:08 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
[10-Jul-2024 14:17:08 UTC] PHP Deprecated:  Function has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 6078
See also: All tests for this plugin, How to Hide the "Syntax Highlighter Pro" Admin Menu